package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesCutSchemeEquipmentService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesCutSchemeEquipment;
import cn.estsh.impp.framework.boot.util.ValidatorBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

/**
 * @Description :
 * @Reference :
 * @Author : PZJ
 * @CreateDate : 2024/9/18 15:55
 * @Modify:
 **/
@Slf4j
@Service
public class MesCutSchemeEquipmentServiceImpl extends BaseMesService<MesCutSchemeEquipment> implements IMesCutSchemeEquipmentService {


    @Override
    protected void onInsertBean(MesCutSchemeEquipment item) {
        ValidatorBean.checkNotNull(item.getCutCode(), "裁片代码不能为空");
        ValidatorBean.checkNotNull(item.getEquipmentCode(), "设备代码不能为空");
    }

    @Override
    protected void onUpdateBean(MesCutSchemeEquipment item) {
        ValidatorBean.checkNotNull(item.getId(), "主键不能为空");
        ValidatorBean.checkNotNull(item.getCutCode(), "裁片代码不能为空");
        ValidatorBean.checkNotNull(item.getEquipmentCode(), "设备代码不能为空");
    }

    @Override
    protected void setPackQueryBean(MesCutSchemeEquipment bean, DdlPackBean packBean) {
        String cutCode = bean.getCutCode();
        if (!StringUtils.isEmpty(cutCode)) {
            DdlPreparedPack.getStringLikerPack(cutCode, "packageTypeCode", packBean);
        }
        String equipmentName = bean.getEquipmentName();
        if (!StringUtils.isEmpty(equipmentName)) {
            DdlPreparedPack.getStringLikerPack(equipmentName, "equipmentName", packBean);
        }
    }
}
